Ubuntu×Flask×MySQL的挖坑填坑之路(一)


12人看过

标签: Flask  Ubuntu 

1. 起源

作为大学生,用闲暇时间锻炼下自己的脑力着实正常,于是就有了一个小工程,python写博客。真正的python代码不多,大部分时间用JavaScript和css写前端了...所以这个博客,看起来是个PYTHON工程,其实是JavaScript零基础新手的作品。

2. 那些坑

  1. 就如头图所见,wsgi错误无疑是最令人着急的。 为什么? 这就跟之前的<unprintable error>有着异曲同工之妙,果不其然,问题果然是同根同源:都是MySQL惹的祸。或者更直接的说是MySQL-connector-python在不同版本的兼容性问题。 这是一个Cpython的库,在linux+wsgi上有一定的兼容性问题,会导致各种奇奇怪怪的错误,大部分的MySQL错误都可能由不兼容引发,好的解决办法是用兼容性较好的库来替代,我用的是mysql-connector,问题完美解决。
  2. 未完待续


评论


用户头像

#1

小甜甜

期待